Skip to main content

Currency Information

warning

Heads up: API coming soon.

This API is not currently accessible. The documentation below reflects the intended design and is meant for early familiarization, not active integration.

Query supported currencies and their properties on SphereNet.

List All Currencies

Get information about all supported currencies including their properties and current network state.

GET v1/spherenet/currencies
curl -G https://api.sphere.net/v1/spherenet/currencies \
-H 'Authorization: Bearer <API_KEY>' \
-H 'accept: application/json'

Response

{
"ok": true,
"object": "object",
"statusCode": 200,
"error": null,
"message": "success",
"data": [
{
"code": "usd",
"name": "US Dollar",
"symbol": "USD",
"decimals": 2,
"mint": "USD1111111111111111111111111111111111111111",
"totalSupply": "1000000000",
"activeSupply": "850000000",
"collateralRatio": "1.05",
"price": "1.00",
"freezeAuthority": "AUTH111111111111111111111111111111111111",
"mintAuthority": "AUTH111111111111111111111111111111111111",
"isInitialized": true,
"frozen": false,
"updatedAt": "2024-01-20T19:39:14.316Z"
},
{
"code": "eur",
"name": "Euro",
"symbol": "EUR",
"decimals": 2,
"mint": "EUR2222222222222222222222222222222222222222",
"totalSupply": "500000000",
"activeSupply": "420000000",
"collateralRatio": "1.10",
"price": "1.09",
"freezeAuthority": "AUTH111111111111111111111111111111111111",
"mintAuthority": "AUTH111111111111111111111111111111111111",
"isInitialized": true,
"frozen": false,
"updatedAt": "2024-01-20T19:39:14.316Z"
}
],
"ts": "2024-08-22T16:15:42.707Z",
"request": "request_cdde26b2c0534183a1aaba6baebaec1f"
}

Get Currency Details

Get detailed information about a specific currency.

GET v1/spherenet/currencies/usd
curl -G https://api.sphere.net/v1/spherenet/currencies/usd \
-H 'Authorization: Bearer <API_KEY>' \
-H 'accept: application/json'

Response

{ 
"ok": true,
"object": "object",
"statusCode": 200,
"error": null,
"message": "success",
"data": {
"code": "usd",
"name": "US Dollar",
"symbol": "USD",
"decimals": 2,
"mint": "USD1111111111111111111111111111111111111111",
"totalSupply": "1000000000",
"activeSupply": "850000000",
"collateralRatio": "1.05",
"price": "1.00",
"freezeAuthority": "AUTH111111111111111111111111111111111111",
"mintAuthority": "AUTH111111111111111111111111111111111111",
"isInitialized": true,
"frozen": false,
"updatedAt": "2024-01-20T19:39:14.316Z"
},
"ts": "2024-08-22T16:15:42.707Z",
"request": "request_cdde26b2c0534183a1aaba6baebaec1f"
}